IPSW-DYLD-IDA(1)

NAME
ipsw-dyld-ida - Analyze DSC in IDA Pro

SYNOPSIS
ipsw dyld ida [DYLIBS...] [flags]

DESCRIPTION
Analyze DSC in IDA Pro

OPTIONS
-a, --all[=false]
    Analyze whole cache (this will take a while)

-c, --delete-db[=false]
    Disassemble a new file (delete the old database)

-d, --dependancies[=false]
    Analyze module dependencies

--diaphora-db=""
    Path to Diaphora database

-k, --docker[=false]
    Run IDA Pro in a docker container

--docker-entry="/ida/idat64"
    IDA Pro docker entrypoint

--docker-image="blacktop/idapro:8.2-pro"
    IDA Pro docker image

-g, --enable-gui[=false]
    Enable IDA Pro GUI (defaults to headless)

-e, --extra-args=[]
    IDA Pro CLI extra arguments

-h, --help[=false]
    help for ida

-p, --ida-path=""
    IDA Pro directory (darwin default: /Applications/IDA Pro */ida64.app/Contents/MacOS)

-l, --log-file=""
    IDA log file

-o, --output=""
    Output folder

-s, --script=""
    IDA Pro script to run

-r, --script-args=[]
    IDA Pro script arguments

--slide=""
    dyld_shared_cache image ASLR slide value (hexadecimal)

-t, --temp-db[=false]
    Do not create a database file (requires --enable-gui)

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw-dyld(1)

HISTORY
5-Mar-2025 Auto generated by spf13/cobra